<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabaseConfig..::.Primary Property
SecondaryDatabaseConfig Class See Also Send Feedback

All updates to the primary database are automatically reflected in the secondary and all reads from the secondary return corresponding data from Primary.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public Database Primary { get; set; }

Visual Basic (Declaration)

    Public Property Primary As Database

Visual C++

    public:
    property Database^ Primary {
    	Database^ get ();
    	void set (Database^ value);
    }

# Remarks

As primary keys must be unique for secondary indices to work, Primary must have been configured with NONE.

# See Also

SecondaryDatabaseConfig Class
BerkeleyDB Namespace